angular.module('starter.controllers')
	.controller('AppCtrl', function ($scope, $rootScope, $ionicPlatform, $ionicPopup, AllNamesService, AllWRQueueService, $timeout, $window, TicketCountService, $state, $http, loginPromise, $ionicLoading, MenuItemsService) {

		window.localStorage['current_page'] = '';
		$('#mainmenuid').show();
		$scope.nameOptions = [];
$scope.version = AppVersion.version;
	function checkAppUpdate() {
    var updateUrl = 'https://amdocspsg.neocities.org/ONEapp/Version1.0/version.xml';
    window.AppUpdate.checkAppUpdate(onSuccess, onFail, updateUrl);
    function onFail() {console.log('fail', JSON.stringify(arguments), arguments);}
    function onSuccess() {
        console.log('success', JSON.stringify(arguments), arguments);
    }
}
checkAppUpdate();
		$scope.showLoading = function () {
			$ionicLoading.show({
				content: 'Loading',
				animation: 'fade-in',
				showBackdrop: true,
				maxWidth: 200,
				showDelay: 0
			});
		};
		$scope.hideLoading = function () {
			$ionicLoading.hide();
		};
		$scope.loginData = {
			"username": window.localStorage['username']
		};
		$scope.showLoading();
		var menuitemservice = MenuItemsService.startService();
		menuitemservice.then(
			function (success) {
				$scope.urlData = success;
				$scope.menu = success;
				$scope.submenuItems = [];
				angular.forEach($scope.urlData, function (obj, key) {
					var flag = false;
					if (obj.parent != "NA") {
						angular.forEach($scope.submenuItems, function (subobj, key) {
							if (subobj.id == obj.parent) {
								subobj.menuitems.push(obj);
								flag = true;
							}
						});
						if (!flag) {
							$scope.submenuItems.push({
								id: obj.parent,
								icon: obj.icon,
								dropIcon: "ion-arrow-down-b",
								showSubmenu: false,
								menuitems: [obj]
							});
						}
					}
				});
				$scope.hideLoading();
			});
		var allNamesService = AllNamesService.startService();
		allNamesService.then(
			function (success) {
				window.localStorage["nameOptions"] = JSON.stringify(success);
			});

		var allWRQueueService = AllWRQueueService.startService();
		allWRQueueService.then(
			function (success) {
				window.localStorage["WRQueues"] = JSON.stringify(success);
			});

		$scope.toggle = function (key) {
			key.showSubmenu = !key.showSubmenu;
			if (key.dropIcon == "ion-arrow-down-b")
				key.dropIcon = "ion-arrow-up-b"
			else
				key.dropIcon = "ion-arrow-down-b"
		}

		$scope.getParams = function (JSON) {
			var params = "";
			angular.forEach(JSON, function (value, key) {
				params = params + "&" + key + "=" + value;
			});
			return params;
		}

		$scope.formatDate = function (datereived) {
			var monthNames = [
				"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
			];
			var dateTime = datereived.split('T');
			var ymd = dateTime[0].split('-');
			var timeparsed = dateTime[1].split(' ');
			var hourmin = timeparsed[0].split(':');
			return ymd[2] + '-' + monthNames[parseInt(ymd[1]) - 1] + '-' + (parseInt(ymd[0]) - 2000) + ' ' + hourmin[0] + ':' + hourmin[1];
		};

		$scope.getDeviceType = function () {
			var device = 'APN';
			if ($scope.myDeviceInfo() === "Android") {
				device = 'GCM';
			}
			return device;
		};

		$scope.myDeviceInfo = function () {
			var device = 'Android';
			if (ionic.Platform.isIOS()) {
				device = 'iOS';
			}
			if (ionic.Platform.isWindowsPhone()) {
				device = 'windows';
			}
			return device;
		};

		$scope.getTimeFormat = function () {
			var d = new Date();
			var monthNames = [
				"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
			];
			var hours = d.getHours();
			var minutes = d.getMinutes();
			var ampm = hours >= 12 ? 'pm' : 'am';
			hours = hours % 12;
			hours = hours ? hours : 12; // the hour '0' should be '12'
			minutes = minutes < 10 ? '0' + minutes : minutes;
			return monthNames[d.getMonth()] + ' ' + d.getDate() + ', ' + d.getFullYear() + ' ' + hours + ':' + minutes + ':' + d.getSeconds() + ' ' + ampm;
		};

		$scope.goBackHistory = function () {
			window.history.back();
		};

		//on back button click on navbar
		$scope.GoBackButton = function () {
			if ($state.current.name == "app.dashboard") {
				//Logout option
				$ionicPopup.confirm({
					title: 'System warning',
					template: 'Are you sure you want to LogOut?'
				}).then(function (res) {
					if (res) {
						$scope.$broadcast('scroll.refreshComplete');
						window.localStorage.clear();
						$state.go('login', {});
					}
				})
			}
			else if ($state.current.name == "login") {
				//Ask for exit confirmation if already on login page
				$ionicPopup.confirm({
					title: 'System warning',
					template: 'Are you sure you want to exit?'
				}).then(function (res) {
					if (res) {
						ionic.Platform.exitApp();
					}
				})
			} else {
				//Brings on oncall state from any other page
				$scope.goBackHistory();
			}
		}

		//button controls back button action.on back button click
		$ionicPlatform.registerBackButtonAction(function () {
			$scope.GoBackButton();
		}, 100);

		$scope.logout = function () {
			$ionicPopup.confirm({
				title: 'System warning',
				template: 'Are you sure you want to LogOut?'
			}).then(function (res) {
				if (res) {
					$scope.$broadcast('scroll.refreshComplete');
					window.localStorage.clear();
					$state.go('login', {});
				}
			})
		}
	})



