angular.module('starter.controllers')
    .controller('CreateMeetingNotesCtrl', function ($scope, $stateParams, $ionicPopup, CreateMeetingService, $filter) {
        $scope.Meeting = {};
        $scope.nameOptions = JSON.parse(window.localStorage["nameOptions"]);

        $scope.$on('$ionicView.enter', function (e) {
            $scope.Meeting = {};
            $scope.Meeting.startTime = new Date();
            $scope.Meeting.endTime = new Date();
            $scope.nameOptions = JSON.parse(window.localStorage["nameOptions"]);
            
        });


        $scope.saveMeeting = function () {

            if (!validateForm($scope.Meeting)) {
                $ionicPopup.alert({
                    title: 'Meeting Details Incomplete',
                    template: 'Please enter ' + $scope.alert + ' value'
                });
            }
            else {
                
                $scope.Meeting.startTime = $filter('date')($scope.Meeting.startTime, "yyyy-MM-dd HH:mm");
                $scope.Meeting.endTime = $filter('date')($scope.Meeting.endTime, "yyyy-MM-dd HH:mm");
                var attendedby = "";
                angular.forEach($scope.Meeting.attendees, function (obj, key) {
                    attendedby = obj.attuid + "," + attendedby;
                });
                $scope.Meeting.attendees = attendedby.slice(0, -1);

                var originatorids = "";
                angular.forEach($scope.Meeting.originator, function (obj, key) {
                    originatorids = obj.attuid + "," + originatorids;
                });
                $scope.Meeting.originator = originatorids.slice(0, -1);
                $scope.showLoading();
                var createmeetingService = CreateMeetingService.startService($scope.getParams($scope.Meeting));
                createmeetingService.then(
                    function (success) {
                        $scope.hideLoading();
                        $ionicPopup.alert({
                            title: 'Successful',
                            template: 'Meeting Notes Saved'
                        });
                    });
                $scope.Meeting = {};
            }

        }

        $scope.saveAndTaskSubmit = function () {

            $scope.Meeting = {};

        }

        $scope.taskClearData = function () {

            $scope.Meeting = {};

        }

        $scope.filterOptions = function ($query) {
            return $scope.nameOptions.filter(function (item) {
                return item.fullName.toLowerCase().indexOf($query.toLowerCase()) != -1;
            });
        }

        function validateForm(Meeting) {

            if (!Meeting.hasOwnProperty("meetingTitle")) {
                $scope.alert = "Meeting Title"
                return false;
            }
            if (!Meeting.hasOwnProperty("attendees")) {
                $scope.alert = "Assigned To"
                return false;
            }
            if (!Meeting.hasOwnProperty("originator")) {
                $scope.alert = "Originator"
                return false;
            }
            if (!Meeting.hasOwnProperty("description")) {
                $scope.alert = "Description"
                return false;
            }
            if (!Meeting.meetingTitle) {
                $scope.alert = "Meeting Title"
                return false;
            }
            if (!Meeting.attendees) {
                $scope.alert = "Assigned To"
                return false;
            }
            if (!Meeting.originator) {
                $scope.alert = "Originator"
                return false;
            }
            if (!Meeting.description) {
                $scope.alert = "Description"
                return false;
            }
            return true;
        }

    });
