angular.module('starter.controllers')
    .controller('CreateTaskCtrl', function ($scope, $stateParams, $ionicPopup, CreateTaskService, MeetingListService, $filter, TaskListService) {
        
        $scope.Task = {};
        $scope.nameOptions = JSON.parse(window.localStorage["nameOptions"]);
        $scope.TaskList = [];
        $scope.MeetingList = [];
        var TaskListflag = false;
        var MeetingListflag = false;
        
        $scope.$on('$ionicView.enter', function (e) {
            $scope.Task = {};
            var flag = false;
            $scope.Task.meetingRef = 0;
            $scope.Task.progress = 0;
            $scope.Task.parentTaskId = 0;
            $scope.Task.startDate = new Date();
            $scope.Task.dueDate = new Date();
            $scope.nameOptions = JSON.parse(window.localStorage["nameOptions"]);
            
            $scope.showLoading();
            var tasklistservice = TaskListService.startService(window.localStorage['username']);
            tasklistservice.then(
                function (success) {
                    
                    $scope.TaskList = success;
                    TaskListflag = true;
                    if (MeetingListflag) {
                        $scope.hideLoading();
                    }
                });

            var meetingListService = MeetingListService.startService(window.localStorage['username']);
            meetingListService.then(
                function (success) {
                    
                    $scope.MeetingList = success;
                    MeetingListflag = true;
                    if (TaskListflag)
                        $scope.hideLoading();
                });
        });

        $scope.taskSubmit = function () {

            if (!validateForm($scope.Task)) {
                $ionicPopup.alert({
                    title: 'Task Details Incomplete',
                    template: 'Please enter ' + $scope.alert + ' value'
                });
            }
            else {
                var assignedto = "";
                angular.forEach($scope.Task.assignedTo, function (obj, key) {
                    assignedto = obj.attuid + "," + assignedto;
                });
                $scope.Task.assignedTo = assignedto.slice(0, -1);

                $scope.Task.assignedBy = window.localStorage['username'];

                $scope.Task.meetingRef = 0;

                $scope.Task.startDate = $filter('date')($scope.Task.startDate, "yyyy-MM-dd");
                $scope.Task.dueDate = $filter('date')($scope.Task.dueDate, "yyyy-MM-dd");

                console.log($scope.Task);
                $scope.showLoading();
                var createTaskService = CreateTaskService.startService($scope.getParams($scope.Task));
                createTaskService.then(
                    function (success) {
                        console.log(success);
                        $scope.hideLoading();
                        $ionicPopup.alert({
                            title: 'Successful',
                            template: 'Task Saved'
                        });
                    });
                $scope.Task = {};
            }
        }

        $scope.filterOptions = function ($query) {
            return $scope.nameOptions.filter(function (item) {
                return item.fullName.toLowerCase().indexOf($query.toLowerCase()) != -1;
            });
        }

        $scope.taskClearData = function () {
            $scope.Task = {};
        }

        function validateForm(Task) {
            console.log(Task);
            if (!Task.hasOwnProperty("taskName")) {
                $scope.alert = "Task Name"
                return false;
            }
            if (!Task.hasOwnProperty("assignedTo")) {
                $scope.alert = "Assigned To"
                return false;
            }
            if (!Task.hasOwnProperty("progress")) {
                $scope.alert = "Progress"
                return false;
            }
            if (!Task.hasOwnProperty("description")) {
                $scope.alert = "Description"
                return false;
            }
            if (!Task.taskName) {
                $scope.alert = "Task Name"
                return false;
            }
            if (!Task.assignedTo) {
                $scope.alert = "Assigned To"
                return false;
            }
            if (!Task.description) {
                $scope.alert = "Description"
                return false;
            }
            return true;
        }
    });
