

angular.module('starter.controllers')
.directive('falloutBifurcation', function ($parse) {
    'use strict';
    return {
        restrict: 'E',
        template: '<div></div>',
        link: function (scope, element, attrs) {
            attrs.chart = new Highcharts.chart(element[0], {
                chart: {
                    type: 'column'
                },
                title: {
                    text: attrs.title
                },
                dataLabels: {
                    enabled: true
                },
                colors: ['#4572A7', '#AA4643', '#89A54E', '#80699B', '#3D96AE',
'#DB843D', '#92A8CD', '#A47D7C', '#B5CA92']
            });

            scope.$watch(function () {
                return attrs.categories;
            }, function () {
                if (attrs.chart.xAxis.length === 0) {
                    attrs.chart.addAxis($parse(attrs.categories)(scope));
                } else {
                    attrs.chart.xAxis[0].setCategories($parse(attrs.categories)(scope));
                }
            });

            scope.$watch(function () {
                return attrs.series;
            }, function () {
                var i;
                
         for (i = 0; i < $parse(attrs.series)(scope).length; i++) {
                if (attrs.chart.series[i]) {
                         attrs.chart.series[0].setData($parse(attrs.series)(scope)[i].data);
                } else {
                       attrs.chart.addSeries($parse(attrs.series)(scope)[i]);
                  }
                 }

                 if (i < attrs.chart.series.length - 1) {
                    var seriesLength = attrs.chart.series.length - 1;

                     for (var j = seriesLength; j > i; j--) {
                         attrs.chart.series[j].remove();
                    }
             }
                
            });
        }
    };
})
.controller('FalloutCtrl', function ($scope,$filter,getFalloutService,getConnectedCarsService,$stateParams) {
    $scope.xAxisValue = [];
    $scope.wrData = [];
    $scope.wrtodate = $filter('date')((new Date()), "yyyy-MM-dd");
    $scope.wrfromdate =  $filter('date')((new Date((new Date())-24*10*60*60*1000)), "yyyy-MM-dd");
   
$scope.SelectedLOB = $stateParams.LOB.replace(":","");

    $scope.LoadData = function () {
    
        $scope.xAxisValue = [];
    $scope.wrData = [];
    $scope.falloutBifurcation=[];
        var wrtodate="";
        var wrfromdate="";
        wrtodate = document.getElementById("fallouttodate"+$scope.SelectedLOB+"").value;
        wrfromdate =document.getElementById("falloutfromdate"+$scope.SelectedLOB+"").value;

        console.log(wrfromdate);
        console.log(wrtodate);

        if(wrtodate == "" || wrtodate == null)
        {
            $scope.wrtodate = $filter('date')((new Date()), "yyyy-MM-dd");
            $scope.wrfromdate =  $filter('date')((new Date((new Date())-24*10*60*60*1000)), "yyyy-MM-dd");  
        }
        else{
            $scope.wrtodate = wrtodate;
            $scope.wrfromdate = wrfromdate;
        }

        console.log($scope.wrtodate);
        console.log($scope.wrfromdate );
        var LOB = $scope.SelectedLOB.substring(0,1).toUpperCase() +  $scope.SelectedLOB.slice(1).toLowerCase();
        
    
        $scope.showLoading();
        var webtraxservice = getFalloutService.startService($scope.wrfromdate, $scope.wrtodate);
        webtraxservice.then(
            function (success) {
                console.log(success);
                ModifyJSONfallout(success);
                $scope.hideLoading();
            });

           var connectedCarService = getConnectedCarsService.startService($scope.wrfromdate, $scope.wrtodate);
           connectedCarService.then(function(success){
            console.log('connected Car Data',success);
            generateConnectedCars(success);
           });
            function ModifyJSONfallout(result) {

                ////console.log(result);
            
                var dateID = [];
                var sodCount = 0;
                var eodCount = 0;
                var totalIncomingCount = 0;
                var avgHandleTime = 0;
                var MAN_REFER_CNT = 0
                var handledManualCount = 0;
                var totalOutgoingCount = 0;
                var handledAutomaticCount = 0;
                var group_bydata = [];
                var finaldata = [];
                var dist_date = [];
                var jsonEM = [];
                var EMjson;
            
                var dateEX = [];
            
                var SOD = {
                    "type" : "column",
                    "name" : "SOD",
                    "data" : []
            
                }
            
                var INC = {
                    "type" : "column",
                    "name" : "Incoming",
                    "data" : []
            
                }
                var Out = {
                    "type" : "column",
                    "name" : "Outgoing",
                    "data" : []
            
                }
                var MAN_HAN = {
                    "type" : "column",
                    "name" : "MANUALLY",
                    "data" : []
            
                }
                var MAN_REFER = {
                    "type" : "column",
                    "name" : "Semi-Auto",
                    "data" : []
            
                }
            
                var handledAutomaticCount = {
                    "type" : "column",
                    "name" : "Auto",
                    "data" : []
            
                }
                var EOD = {
                    "type" : "spline",
                    "name" : "EOD",
                    "data" : [],
                    "marker" : {
                        lineWidth : 2,
                        lineColor : Highcharts.getOptions().colors[3],
                        fillColor : 'white'
                    }
            
                }
                var EffortSpent = {
                        "type" : "spline",
                        "name" : "Efforts Spent",
                        "data" : [],
                        "marker" : {
                            lineWidth : 2,
                            lineColor : Highcharts.getOptions().colors[3],
                            fillColor : 'white'
                        }
            
                    }
            
                var backlogfallout;
                $.each(result, function(ix, objoct) {
                    var sodCount = 0;
                    var eodCount = 0;
                    var totalIncomingCount = 0;
                    var avgHandleTime = 0;
                    var handledManualCount = 0;
                    var totalOutgoingCount = 0;
                    var MAN_REFER_CNT = 0;
                    var handledAutomaticCount = 0;
                    var effortSpent = 0;
            
                    if (!dateID.includes(objoct.reportDate)) {
                        $.each(result, function(i, obj) {
            
                            if (objoct.reportDate == obj.reportDate) {
                                sodCount = sodCount + obj.sodCount;
                                eodCount = eodCount + obj.eodCount;
                                totalIncomingCount = totalIncomingCount + obj.totalIncomingCount;
                                avgHandleTime = avgHandleTime + obj.avgHandleTime;
                                MAN_REFER_CNT = MAN_REFER_CNT + obj.handledSemiAutoCount;
                                handledManualCount = handledManualCount + obj.handledManualCount;
                                totalOutgoingCount = totalOutgoingCount + obj.totalOutgoingCount;
                                handledAutomaticCount = handledAutomaticCount + obj.handledAutomaticCount;
                                effortSpent=effortSpent+obj.effortSpent;
                                backlogfallout = eodCount;
            
                            }
                        });
            
                        var jsonobj = {
                            reportDate : objoct.reportDate,
                            sodCount : sodCount,
                            eodCount : eodCount,
                            totalIncomingCount : totalIncomingCount,
                            avgHandleTime : avgHandleTime,
                            MAN_REFER_CNT : MAN_REFER_CNT,
                            handledManualCount : handledManualCount,
                            totalOutgoingCount : totalOutgoingCount,
                            handledAutomaticCount : handledAutomaticCount,
                            EffortSpent: effortSpent
                        };
            
                        finaldata.push(jsonobj);
                        dateID.push(objoct.reportDate);
                    }
            
                });
            
                dateEX = [];
                SOD.data = [];
                EOD.data = [];
                INC.data = [];
                Out.data = [];
                MAN_HAN.data = [];
                MAN_REFER.data = [];
                handledAutomaticCount.data = [];
                EffortSpent.data=[];
                
                EMjson = finaldata;
                var ser_data = [];
            
                var category = [];
            
            
            
                $.each(EMjson, function(ix, obj) {
            
                    SOD.data.push(obj.sodCount);
                    EOD.data.push(obj.eodCount);
                    INC.data.push(obj.totalIncomingCount);
                    Out.data.push(obj.totalOutgoingCount);
                    MAN_HAN.data.push(obj.handledManualCount);
                    MAN_REFER.data.push(obj.MAN_REFER_CNT);
                    handledAutomaticCount.data.push(obj.handledAutomaticCount);
                    EffortSpent.data.push(obj.EffortSpent);
                    if (!dateEX.includes(obj.reportDate)) {
            
                        var jobj = {
            
                            categories : [ obj.reportDate ]
                        };
                        category.push(jobj);
                        dateEX.push(obj.reportDate);
                    }
            
                });
                jsonEM.push(SOD);
                jsonEM.push(INC);
                jsonEM.push(Out);
                jsonEM.push(EOD);
            
                ////console.log(jsonEM);
                
                var catF1=dateEX.map(function(date) {
                    let
                    formatOptions = {
                        month : '2-digit',
                        day : '2-digit',
                        year : 'numeric'
                    };
                    return new Date(date).toLocaleDateString(undefined, formatOptions);
                });
            
                $scope.wrData = jsonEM;
                $scope.xAxisValue = catF1;
                $scope.title = "Usage Fallout"
$scope.bifurcation="Outgoing Bifurcation"
                
            
                jsonEM = [];
                jsonEM.push(MAN_HAN);
                jsonEM.push(MAN_REFER);
                jsonEM.push(handledAutomaticCount);
                jsonEM.push(EffortSpent);
            
                //drawcharts("Falloutgraph2", jsonEM, catF1, "Total fallouts",
                 //       "ALL Outgoing Bifurcation");
            
                 $scope.falloutBifurcation = jsonEM;
            }

            function generateConnectedCars(jsonObj)
{
	var groupedJson=[];
	var category=[];
	$.each(jsonObj,function(i,objout){
			if(!category.includes(objout.insertDate))
				category.push(objout.insertDate);
});
////console.log('groupedJson',groupedJson);	
	var financialcnt={
			"name":"Financial_Count",
			"type":"column",
			"data":[]
			};
	var nonfinancialcnt={
			"name":"NON-Financial_Count",
			"type":"column",
			"data":[]
			};
	
	var handled={
			"name":"Handled_Count",
			"type":"column",
			"data":[]
			};
	var finalJson=[];
	
	$.each(jsonObj,function(i,obj){
		financialcnt.data.push(obj.financial);
		nonfinancialcnt.data.push(obj.nonFinancial);
		handled.data.push(obj.handled);
		
	});
	
	finalJson.push(handled);
	finalJson.push(financialcnt);
	finalJson.push(nonfinancialcnt);
	
	var catFallout=category.map(function(date) {
		let
		formatOptions = {
			month : '2-digit',
			day : '2-digit',
			year : 'numeric'
		};
		return new Date(date).toLocaleDateString(undefined, formatOptions);
	});
    
    $scope.ccData = finalJson;
    $scope.connectedCarsCategory = catFallout;
    $scope.cctitle = "Connected Cars Fallout"
    
}
        }
        function doOnOrientationChange() {
            console.log('on orientation change')
            var width = window.screen.availWidth;
            console.log('width is ',width)
            if (width >= 767) {
         $('highcharts-column').css({ 'display': 'block', 'width': width-280 });
         $('highcharts-columns').css({ 'display': 'block', 'width': width-280 });
         console.log('width is 1',width)
          }
            else {
                $('highcharts-column').css({ 'display': 'block', 'width': width });
                $('highcharts-columns').css({ 'display': 'block', 'width': width });
                console.log('width is 2',width)
               }
        }
    
    
        doOnOrientationChange();
        window.addEventListener('orientationchange', doOnOrientationChange); 
   
    $scope.$on('$ionicView.enter', function(e) {
        doOnOrientationChange();
        $scope.LoadData();
     });


});





