angular.module('starter.controllers')
	.controller('LoginCtrl', function ($scope, $rootScope, $ionicPlatform, $ionicPopup, $ionicModal, $timeout, $location, LoginService, $state, $http, loginPromise, $ionicLoading) {

		$scope.loginData = {};
		$scope.loginData.username = '';
		$scope.loginData.password = '';

		$scope.showLoading = function () {
			$ionicLoading.show({
				content: 'Loading',
				animation: 'fade-in',
				showBackdrop: true,
				maxWidth: 200,
				showDelay: 0
			});
		};

		$scope.hideLoading = function () {
			$ionicLoading.hide();
		};

		$scope.doLogin = function () {
			//CHECK IF WE HAVE DATA FILLED OUT
			$scope.showLoading();

			$scope.hideBox = false;
			$scope.loginData.username = $scope.loginData.username.toLowerCase();
			if ($scope.validateForm()) {
				$scope.hideBox = true;
				$scope.isAuthenticated = false;
				var loginService = loginPromise.startService($scope.loginData.username, $scope.loginData.password);
				loginService.then(
					function (success) {
						$scope.isAuthenticated = true;
						LoginService.setIsAuthenticated($scope.isAuthenticated);

						//changes end
						window.localStorage['username'] = $scope.loginData.username.toLowerCase();
						window.localStorage['password'] = $scope.loginData.password;
						$scope.hideLoading();
						$state.go('app.dashboard', {});
					},
					function (error) {
						if (error != null)
							$scope.loginMessage = error;
						else
							$scope.loginMessage = "Network Error , Please Try After Sometime.";

						$scope.hideBox = false;
						LoginService.setIsAuthenticated($scope.isAuthenticated);
						$scope.hideLoading();
						$scope.$broadcast('scroll.refreshComplete');
						window.localStorage['current_page'] = '';
						//$scope.doLogin();
					}
				);
			}
			else {
				$scope.hideLoading();
			}
		};

		$scope.validateForm = function () {

			var response = true;
			var message = '';
			$scope.loginMessage = message;
			if ($scope.loginData.username.length != 6) {
				message = 'The Username must be 6 chars long';
				response = false;
			}
			else if ($scope.loginData.password.length == 0) {
				message = 'Please Enter Password';
				response = false;
			}
			$scope.loginMessage = message;
			return response;
		};


		if (window.localStorage['username'] != '' && window.localStorage['password'] != '' && window.localStorage['username'] != null && window.localStorage['password'] != null) {
			$scope.loginData.username = window.localStorage['username'];
			$scope.loginData.password = window.localStorage['password'];
			$scope.doLogin();
		}

		//Is available
		if (typeof window.Fingerprint != 'undefined') {
			window.Fingerprint.isAvailable(isAvailableSuccess, isAvailableError);
			$scope.available = "Not checked";

			function isAvailableSuccess(result) {
				$scope.available = "Fingerprint available";
				console.log($scope.available);

			}

			function isAvailableError(message) {
				$scope.available = "isAvailableError(): " + JSON.stringify(message);
				console.log($scope.available);
			}
		}
		else {
			console.log("Fingerprint unavailable");
		}
	})



