angular.module('starter.controllers')
	.controller('ProfileCtrl', function ($scope, $ionicPopup, getProfileService,AddWRQueue,DeleteWRQueue) {

		$scope.Profile = {};
		$scope.Profile.newTeam = '';
		$scope.Profile.newNumber = '';
		$scope.loading = true;
		$scope.QueueShow = true;
		$scope.QueueShowIcon = "ion-arrow-up-b";
		$scope.WRQueues = JSON.parse(window.localStorage["WRQueues"]);
		$scope.toggleQueue = function () {
			$scope.QueueShow = !$scope.QueueShow;
			if ($scope.QueueShow)
				$scope.QueueShowIcon = "ion-arrow-up-b";
			else
				$scope.QueueShowIcon = "ion-arrow-down-b";
		}

		$scope.AddWRQueue = function (WRQueue) {
			
			$ionicPopup.confirm({
				title: 'Warning',
				template: 'Are you sure you want to<br> Add these ?'
			}).then(function (res) {
				if (res) {
					var WRids = "";
					angular.forEach(WRQueue, function (newQueue, key) {
						WRids = WRids + newQueue.groupId + ";";
				});

					$scope.showLoading();
					var addWRQueue = AddWRQueue.startService(WRids);
					addWRQueue.then(
						function (success) {
							$scope.hideLoading();
					     $scope.User.WRQueue = [];
							angular.forEach(WRQueue, function (newQueue, key) {
									$scope.User.WRQueues.push(newQueue);
							});
						},
						function (error) {
							alert("Got error while executing action");
							$scope.hideLoading();
						}
					);
				}
			})
		}

		$scope.DeleteWRQueue = function (queue) {
			$ionicPopup.confirm({
				title: 'Warning',
				template: 'Are you sure you want to<br> remove ' + queue.groupName + ' ?'
			}).then(function (res) {
				if (res) {
					$scope.showLoading();
					var deleteWRQueue = DeleteWRQueue.startService(queue.groupId+";");
					deleteWRQueue.then(
						function (success) {
							$scope.hideLoading();
							var index = -1;
							angular.forEach($scope.User.WRQueues, function (WRQueue, key) {
								if (WRQueue.groupId == queue.groupId) {
									index = $scope.User.WRQueues.indexOf(WRQueue);
								}
							});
							if(index != -1)
							$scope.User.WRQueues.splice(index,1);
						},
						function (error) {
							alert("Got error while executing action");
							$scope.hideLoading();
						}
					);

				}
			})
		}

		$scope.filterOptions = function ($query) {
			return $scope.WRQueues.filter(function (item) {
				var flag = true;
				angular.forEach($scope.User.WRQueues, function (Queue, key) {
					if(Queue.groupId == item.groupId)
					 flag = false;
			});

				return item.groupName.toLowerCase().indexOf($query.toLowerCase()) != -1 && flag;
			});
		}

		$scope.$on('$ionicView.enter', function (e) {
			$scope.QueueShow = true;
		$scope.QueueShowIcon = "ion-arrow-up-b";
			$scope.showLoading();
			var response = getProfileService.startService($scope.loginData.username);
			response.then(
				function (success) {
					$scope.User = success;
					var webtraxGroup = $scope.User.webtraxGroup.split(";");
					var set = new Set(webtraxGroup);
					
					$scope.User.WRQueues = [];
					angular.forEach(set, function (value, key) {
						angular.forEach($scope.WRQueues, function (WRQueue, key) {
							if (WRQueue.groupId == value) {
								$scope.User.WRQueues.push(WRQueue);
							}
						});
					});

					$scope.hideLoading();
				},
				function (error) {
					alert("Got error while fetching values.");
				});
		});
	});
