

angular.module('starter.controllers')

.controller('TRBCtrl', function ($scope,$filter, getTRBService,$stateParams) {
    $scope.xAxisValue = [];
    $scope.wrData = [];
    $scope.wrtodate = $filter('date')((new Date()), "yyyy-MM-dd");
    $scope.wrfromdate =  $filter('date')((new Date((new Date())-24*10*60*60*1000)), "yyyy-MM-dd");
   
$scope.SelectedLOB = $stateParams.LOB.replace(":","");

    $scope.LoadData = function () {
    
        $scope.xAxisValue = [];
    $scope.wrData = [];
        var wrtodate="";
        var wrfromdate="";
        wrtodate = document.getElementById("trbtodate"+$scope.SelectedLOB+"").value;
        wrfromdate =document.getElementById("trbfromdate"+$scope.SelectedLOB+"").value;

        console.log(wrfromdate);
        console.log(wrtodate);

        if(wrtodate == "" || wrtodate == null)
        {
            $scope.wrtodate = $filter('date')((new Date()), "yyyy-MM-dd");
            $scope.wrfromdate =  $filter('date')((new Date((new Date())-24*10*60*60*1000)), "yyyy-MM-dd");  
        }
        else{
            $scope.wrtodate = wrtodate;
            $scope.wrfromdate = wrfromdate;
        }

        console.log($scope.wrtodate);
        console.log($scope.wrfromdate );
        var LOB = $scope.SelectedLOB.toLowerCase();
        
    
        $scope.showLoading();
        var webtraxservice = getTRBService.startService($scope.wrfromdate, $scope.wrtodate);
        webtraxservice.then(
            function (success) {
                console.log(success);
                drawChartWr(success);
                $scope.hideLoading();
            });

        function drawChartWr(result) {
            var wrData = result;
            var dateID = [];
            var wrgrouped = [];
            var dateCategories = [];

            $scope.title = $scope.SelectedLOB + "Incoming/handled";
            $.each(wrData, function (ix, objout) {
                var sod = 0
                var handled = 0
                var backlog = 0;
                var incoming = 0;
                if (!dateID.includes(objout.insertDate)) {
                    $.each(wrData, function (ix, objin) {
                        if (objout.insertDate == objin.insertDate) {
                            sod = sod + objin.sod;
                            handled = handled + objin.outgoing;
                            backlog = backlog + objin.backlog;
                            incoming = incoming + objin.incoming;

                        }
                    });
                    var jsonobj = {
                        Insert_date: objout.insertDate,
                        SOD: sod,
                        handled: handled,
                        Backlog: backlog,
                        Incoming: incoming
                    };
                    wrgrouped.push(jsonobj);
                    dateCategories.push(objout.insertDate.split(" ", 1));

                    dateID.push(objout.insertDate);
                }

            });

            var sod = {
                "type": "column",
                "name": "SOD",
                "data": []

            }

            var incoming = {
                "type": "column",
                "name": "Incoming",
                "data": []

            }
            var handled = {
                "type": "column",
                "name": "Handled",
                "data": []

            }
            var Backlog = {
                "type": "line",
                "name": "Backlog",
                "data": []

            }
            var printData = [];
            $.each(wrgrouped, function (ix, obj) {
                sod.data.push(obj.SOD);
               incoming.data.push(obj.Incoming);
                handled.data.push(obj.handled);
                Backlog.data.push(obj.Backlog);
            });

            printData.push(sod);
            printData.push(incoming);
            printData.push(handled);
            printData.push(Backlog);


            var cat1 = dateCategories.map(function (date) {
                let
                    formatOptions = {
                        month: '2-digit',
                        day: '2-digit',
                        year: 'numeric'
                    };
                return new Date(date).toLocaleDateString(undefined, formatOptions);
            });
            $scope.wrData = printData;
            $scope.xAxisValue = cat1;
            $scope.title = "TRB Statistics";
        }
    }
    
    function doOnOrientationChange() {
        console.log('on orientation change')
        var width = window.screen.availWidth;
        console.log('width is ',width)
        if (width >= 767) {
     $('highcharts-column').css({ 'display': 'block', 'width': width-280 });
     console.log('width is 1',width)
      }
        else {
            $('highcharts-column').css({ 'display': 'block', 'width': width });
            console.log('width is 2',width)
           }
    }


    doOnOrientationChange();
    window.addEventListener('orientationchange', doOnOrientationChange);
    // window.addEventListener('orientationchange', doOnOrientationChange);
    $scope.$on('$ionicView.enter', function(e) {
        doOnOrientationChange();
        $scope.LoadData();
     });


});








