angular.module('starter.controllers')
    .controller('ViewTaskListCtrl', function ($scope, TaskListService, UpdateTaskService) {
        $scope.filter = {};

        $scope.filter.alltasks = true;
        $scope.filter.showDetails = false;
        $scope.nameOptions = JSON.parse(window.localStorage["nameOptions"]);

        $scope.$on('$ionicView.enter', function (e) {
            $scope.nameOptions = JSON.parse(window.localStorage["nameOptions"]);
            $scope.filter.alltasks = true;
            $scope.filter.showDetails = false;
            $scope.showLoading();

            var tasklistservice = TaskListService.startService(window.localStorage['username']);

            tasklistservice.then(
                function (success) {
                    $scope.TaskList = success;
                    console.log(success);
                    angular.forEach($scope.TaskList, function (task, key) {
                        task.progress = parseInt(task.progress);
                        task.showDetails = false;
                        switch (task.status) {
                            //case "Assigned": task.statusIcon = "ion-log-in calm"; break;
                            case "Completed": task.statusIcon = "ion-checkmark blue3"; break;
                            case "InProgress": task.statusIcon = "ion-clock yellow-orange1"; break;
                            case "Cancelled": task.statusIcon = "ion-close-round dark"; break;
                            default: task.statusIcon = ""; break;
                        }

                        if (task.assignedBy == window.localStorage['username'])
                        {
                            task.assignmentIcon = "ion-arrow-up-c balanced";
                        }
                        else
                        {
                            task.assignmentIcon = "ion-arrow-down-c blue1";
                        }

                        if ((new Date(task.dueDate)) < (new Date()) && task.status != "Completed" && task.status != "Cancelled")
                            task.statusIcon = "ion-alert-circled coral1";

                        task.assignedByName = "";
                        task.assignedToName = "";
                        angular.forEach($scope.nameOptions, function (obj, key) {
                            if (task.assignedBy.includes(obj.attuid)) { task.assignedByName += obj.fullName + ","; }
                            if (task.assignedTo.includes(obj.attuid)) { task.assignedToName += obj.fullName + ","; }

                        });
                        angular.forEach(success, function (obj, key) {
                            if (task.parentTaskId == obj.taskId)
                                task.parentTaskName = obj.taskName;
                        });
                        task.assignedByName = task.assignedByName.slice(0, -1);
                        task.assignedToName = task.assignedToName.slice(0, -1);
                    });
                    $scope.hideLoading();
                });
        });

        $scope.ToggleDetails = function (task) {
            task.showDetails = !task.showDetails;
        }

        $scope.UpdateTask = function (task) {

            switch (task.status) {
                //case "Assigned": task.statusIcon = "ion-log-in calm"; break;
                case "Completed": task.statusIcon = "ion-checkmark blue3"; break;
                case "InProgress": task.statusIcon = "ion-clock yellow-orange1"; break;
                case "Cancelled": task.statusIcon = "ion-close-round dark"; break;
                default: task.statusIcon = ""; break;
            }
            if ((new Date(task.dueDate)) < (new Date()) && task.status != "Completed" && task.status != "Cancelled")
                task.statusIcon = "ion-alert-circled coral1";

            $scope.showLoading();
            var updatetaskservice = UpdateTaskService.startService($scope.getParams(task));
            updatetaskservice.then(
                function (success) {
                    console.log(success);
                    $scope.hideLoading();
                });
        }
        $scope.filter.alltasks = true;
        $scope.filter = function (task) {

            if ($scope.filter.alltasks)
                return true;

            // if ($scope.filter.completed && task.status == "Completed")
            //     return false;
            // else 
            {
                if ($scope.filter.createdby && task.assignedBy.includes(window.localStorage['username']))
                    return true;
                else if ($scope.filter.assignedto && task.assignedTo.includes(window.localStorage['username']))
                    return true;
                else
                    return false;
            }
        }

    });
