angular.module('starter', ['ionic', 'starter.controllers', 'ngStorage','ui.router','ngTagsInput','ngTable'])
.run(function($ionicPlatform, $state, LoginService,$ionicHistory, $http, $rootScope, $templateCache,$ionicPopup) {

	$ionicPlatform.ready(function() {
		
		if (!LoginService.isAuthenticated()) {

			$state.go('login',{});
		}
	});

})
.config(function($stateProvider, $urlRouterProvider) {
	$stateProvider
	.state('login', {
		url: '/login',
		templateUrl: 'templates/login.html',
		controller: 'LoginCtrl'
	})
	.state('app', {
		url: '/app',
		templateUrl: 'templates/menu.html',
		controller: 'AppCtrl'
	})
	.state('app.dashboard', {
		url: '/dashboard',
		views: {
			'menuContent': {
				templateUrl: 'templates/Dashboard.html',
				controller: 'DashboardCtrl'
			}
		}
	})
	.state('app.clarify', {
		url: '/clarify:LOB',
		views: {
			'menuContent': {
				templateUrl: 'templates/Clarify.html',
				controller: 'ClarifyCtrl'
			}
		}
	})
	.state('app.webtrax', {
		url: '/webtrax:LOB',
		views: {
			'menuContent': {
				templateUrl: 'templates/Webtrax.html',
				controller: 'WebtraxCtrl'
			}
		}
	})
	.state('app.fallout', {
		url: '/fallout:LOB',
		views: {
			'menuContent': {
				templateUrl: 'templates/Fallout.html',
				controller: 'FalloutCtrl'
			}
		}
	})
	.state('app.profile', {
		url: '/profile',
		views: {
			'menuContent': {
				templateUrl: 'templates/Profile.html',
				controller: 'ProfileCtrl'
			}
		}
	})
	.state('app.report', {
		url: '/report',
		views: {
			'menuContent': {
				templateUrl: 'templates/report.html',
				controller: 'ReportingCtrl'
			}
		}
	})
	.state('app.issues', {
		url: '/issues',
		views: {
			'menuContent': {
				templateUrl: 'templates/issues.html',
				controller: 'IssuesCtrl'
			}
		}
	})
	.state('app.tdp', {
		url: '/tdp:LOB',
		views: {
			'menuContent': {
				templateUrl: 'templates/TDP.html',
				controller: 'TDPCtrl'
			}
		}
	})
	.state('app.trb', {
		url: '/trb:LOB',
		views: {
			'menuContent': {
				templateUrl: 'templates/TRB.html',
				controller: 'TRBCtrl'
			}
		}
	})
	.state('app.sla', {
		url: '/sla:LOB',
		views: {
			'menuContent': {
				templateUrl: 'templates/SLA.html',
				controller: 'SLACtrl'
			}
		}
	})
	.state('app.rfi', {
		url: '/rfi:LOB',
		views: {
			'menuContent': {
				templateUrl: 'templates/RFI.html',
				controller: 'RFICtrl'
			}
		}
	})
	.state('app.aots', {
		url: '/aots:LOB',
		views: {
			'menuContent': {
				templateUrl: 'templates/AOTS.html',
				controller: 'AOTSCtrl'
			}
		}
	})
	.state('app.outage', {
		url: '/outage:LOB',
		views: {
			'menuContent': {
				templateUrl: 'templates/Outage.html',
				controller: 'AOTSCtrl'
			}
		}
	})
	.state('app.Tickets', {
		url: '/tickets:TicketType',
		views: {
			'menuContent': {
				templateUrl: 'templates/Tickets.html',
				controller: 'TicketsCtrl'
			}
		}
	})
	.state('app.TicketsCount', {
		url: '/ticketcounts:TicketType',
		views: {
			'menuContent': {
				templateUrl: 'templates/TicketsCount.html',
				controller: 'TicketsCountCtrl'
			}
		}
	})
	.state('app.CreateTask', {
		url: '/createtask',
		views: {
			'menuContent': {
				templateUrl: 'templates/CreateTask.html',
				controller: 'CreateTaskCtrl'
			}
		}
	})
	.state('app.CreateMeetingNotes', {
		url: '/createmeetingnotes',
		views: {
			'menuContent': {
				templateUrl: 'templates/CreateMeetingNotes.html',
				controller: 'CreateMeetingNotesCtrl'
			}
		}
	})
	.state('app.ViewTaskList', {
		url: '/viewtasklist',
		views: {
			'menuContent': {
				templateUrl: 'templates/ViewTaskList.html',
				controller: 'ViewTaskListCtrl'
			}
		}
	})
	.state('app.ViewMeetingList', {
		url: '/viewmeetinglist',
		views: {
			'menuContent': {
				templateUrl: 'templates/ViewMeetingList.html',
				controller: 'ViewMeetingListCtrl'
			}
		}
	})
	.state('app.MyCounts', {
		url: '/mycounts',
		views: {
			'menuContent': {
				templateUrl: 'templates/MyCounts.html',
				controller: 'MyCountsCtrl'
			}
		}
	})
	
	// if none of the above states are matched, use this as the fallback
	$urlRouterProvider.otherwise('/login');
});