angular.module('starter.controllers')
  .factory('loginPromise', function ($http, $q) {
    return {
      startService: function (username, password) {
        if (username.length != 6) {
          username = window.localStorage['username'];
        }
        var def = $q.defer();
        var urlAuth = "https://attdashboard.wireless.att.com/EDSGateway/auth";
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = username;
        $http.defaults.headers.common['attEDSUserPassword'] = password;
        $http.get(urlAuth, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject(response);
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('LoginService', function ($http) {
    var isAuthenticated = false;
    return {
      setIsAuthenticated: function (amiLogged) {
        isAuthenticated = amiLogged;
      },
      isAuthenticated: function () {
        return isAuthenticated;
      },
      getCurrentParams: function () {
        return responseData;
      }
    };
  })
  .factory('TicketCountService', function ($http, $q) {
    return {
      startService: function () {

        var def = $q.defer();
        var fromdate = '2019-01-01';
        var todate = '2019-01-02';
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/getBacklogCounts";
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('MenuItemsService', function ($http, $q) {
    return {
      startService: function () {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/getMainMenu";
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('TaskListService', function ($http, $q) {
    return {
      startService: function (attuid) {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/fetch_all_tasks_assigned_by_attuid?attuid=" + attuid;
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {
            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('MeetingListService', function ($http, $q) {
    return {
      startService: function (attuid) {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/fetch_all_meetings_for_attuid?attuid=" + attuid;
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('getWebtraxService', function ($http, $q) {
    return {
      startService: function (fromdate, todate, lob) {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/getWebtraxDataForLOB?startDate=" + fromdate + "&endDate=" + todate + "&lineOfBusiness=" + lob;
        //var url = "http://10.19.5.243:8022/PSGOneWs/psgone/getWebtraxDataForLOB?startDate="+fromdate+"&endDate="+todate+"&lineOfBusiness="+lob;
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('getTDPService', function ($http, $q) {
    return {
      startService: function (fromdate, todate, lob) {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/get_tdp_data?startDate=" + fromdate + "&endDate=" + todate + "&lineOfBusiness=" + lob;
        //var url = "http://10.19.5.243:8022/PSGOneWs/psgone/getWebtraxDataForLOB?startDate="+fromdate+"&endDate="+todate+"&lineOfBusiness="+lob;
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('getAotsService', function ($http, $q) {
    return {
      startService: function (fromdate, todate, lob) {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/get_aots_data?startDate=" + fromdate + "&endDate=" + todate + "&lineOfBusiness=" + lob;
        //var url = "http://10.19.5.243:8022/PSGOneWs/psgone/getWebtraxDataForLOB?startDate="+fromdate+"&endDate="+todate+"&lineOfBusiness="+lob;
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('getConnectedCarsService', function ($http, $q) {
    return {
      startService: function (fromdate, todate) {

        var def = $q.defer();

        //var url = "http://10.19.5.243:8022/PSGOneWs/psgone/getWebtraxDataForLOB?startDate="+fromdate+"&endDate="+todate+"&lineOfBusiness="+lob;
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/get_connected_cars_data?startDate=" + fromdate + "&endDate=" + todate;

        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('getFalloutService', function ($http, $q) {

    return {
      startService: function (fromdate, todate) {

        var def = $q.defer();

        //var url = "http://10.19.5.243:8022/PSGOneWs/psgone/getWebtraxDataForLOB?startDate="+fromdate+"&endDate="+todate+"&lineOfBusiness="+lob;
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/get_fallout_data?startDate=" + fromdate + "&endDate=" + todate;

        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('getClarifyService', function ($http, $q) {
    return {
      startService: function (fromdate, todate) {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/get_clarify_data?startDate=" + fromdate + "&endDate=" + todate;
        //var url = "http://10.19.5.243:8022/PSGOneWs/psgone/getWebtraxDataForLOB?startDate="+fromdate+"&endDate="+todate+"&lineOfBusiness="+lob;


        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('getTRBService', function ($http, $q) {
    return {
      startService: function (fromdate, todate) {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/get_trb_data?startDate=" + fromdate + "&endDate=" + todate;
        //var url = "http://10.19.5.243:8022/PSGOneWs/psgone/getWebtraxDataForLOB?startDate="+fromdate+"&endDate="+todate+"&lineOfBusiness="+lob;


        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);

          }).error(function (response) {

            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('getProfileService', function ($http, $q) {
    return {
      startService: function () {
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/get_employee_by_attuid?attuid=' + window.localStorage['username'];

        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        // $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);
          }).error(function (response) {

            def.reject("WS failure while getting the image, error is : " + response);
          }).finally(function () {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('AllNamesService', function ($http, $q) {
    return {
      startService: function () {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/get_all_employees";

        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {

            def.resolve(response);
          }).error(function (response) {

            def.reject(response);
          }).finally(function () {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('AllWRQueueService', function ($http, $q) {
    return {
      startService: function () {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/fetch_wr_groups";

        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {


            def.resolve(response);
          }).error(function (response) {
            def.reject(response);
          }).finally(function () {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('WRCountService', function ($http, $q) {
    return {
      startService: function () {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/fetch_counts_by_attuid?attuid=" + window.localStorage['username'] + "&ticketType=webtrax";

        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {
            def.resolve(response);
          }).error(function (response) {
            def.reject(response);
          }).finally(function () {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('DeleteWRQueue', function ($http, $q) {
    return {
      startService: function (id) {
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/remove_wr_groups_for_attuid';
        //var url = 'https://10.19.5.243:8022/PSGOneWs/psgone/remove_wr_groups_for_attuid';

        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        // $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, '?&attuid=' + window.localStorage['username'] + '&groupId=' + id, 'application/x-www-form-urlencoded')
          .success(function (response) {
            def.resolve(response);
          }).error(function (response) {
            def.reject(response);
          }).finally(function () {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('AddWRQueue', function ($http, $q) {
    return {
      startService: function (ids) {
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/add_wr_groups_for_attuid';
        // var url = 'https://10.19.5.243:8022/PSGOneWs/psgone/add_wr_groups_for_attuid';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        // $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';

        $http.post(url, '?&attuid=' + window.localStorage['username'] + '&groupId=' + ids, 'application/x-www-form-urlencoded')
          .success(function (response) {
            def.resolve(response);
          }).error(function (response) {
            def.reject(response);
          }).finally(function () {
            // delete $http.defaults.headers.common['attEDSApplication'];
            // delete $http.defaults.headers.common['attEDSUserPassword'];
            // delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('CreateTaskService', function ($http, $q) {
    return {
      startService: function (params) {


        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/save_new_task';

        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        // $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?" + params, 'application/x-www-form-urlencoded')
          .success(function (response) {
            def.resolve(response);
          }).error(function (response) {
            def.reject(response);
          }).finally(function () {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('UpdateTaskService', function ($http, $q) {
    return {
      startService: function (params) {
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/update_previous_task';

        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        // $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?" + params, 'application/x-www-form-urlencoded')
          .success(function (response) {
            def.resolve(response);
          }).error(function (response) {
            def.reject(response);
          }).finally(function () {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('CreateMeetingService', function ($http, $q) {
    return {
      startService: function (params) {


        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/save_new_meeting';

        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        // $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?" + params, 'application/x-www-form-urlencoded')
          .success(function (response) {
            def.resolve(response);
          }).error(function (response) {
            def.reject(response);
          }).finally(function () {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('UpdateMeetingService', function ($http, $q) {
    return {
      startService: function (params) {
        var def = $q.defer();
        var url = 'https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/update_meeting';

        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        // $http.defaults.headers.common['Content-type'] = 'application/x-www-form-urlencoded';
        $http.post(url, "?" + params, 'application/x-www-form-urlencoded')
          .success(function (response) {
            def.resolve(response);
          }).error(function (response) {
            def.reject(response);
          }).finally(function () {
            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
            delete $http.defaults.headers.common['attEDSUser'];
          });
        return def.promise;
      }
    };
  })
  .factory('RRTIssuesCountService', function ($http, $q) {
    return {
      startService: function () {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/fetch_all_issues_count_RRT";
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {
            def.resolve(response);

          }).error(function (response) {
            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('RRTIssuesService', function ($http, $q) {
    return {
      startService: function () {

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/fetch_all_issues_RRT";
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {
            def.resolve(response);
          }).error(function (response) {
            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })
  .factory('RRTImagePromise', function ($http, $q) {
    return {
      startService: function () {
        path = "/opt/app/aace/3psw/apache-tomcat-8.0.33/images/RRT/";

        var def = $q.defer();
        var url = "https://attdashboard.wireless.att.com/EDSGateway/forward/PSGOneWs/psgone/rrt_image_fetch?serverPath="+path;
        $http.defaults.headers.common['attEDSApplication'] = 'iMoc';
        $http.defaults.headers.common['attEDSUser'] = window.localStorage['username'];
        $http.defaults.headers.common['attEDSUserPassword'] = window.localStorage['password'];
        $http.get(url, {
          async: true,
          cache: false,
        })
          .success(function (response) {
            def.resolve(response);
          }).error(function (response) {
            def.reject("error");
          }).finally(function () {

            delete $http.defaults.headers.common['attEDSApplication'];
            delete $http.defaults.headers.common['attEDSUser'];
            delete $http.defaults.headers.common['attEDSUserPassword'];
          });

        return def.promise;
      }
    };
  })


